package lighting;

import player.Player;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 2016 *
      ~~~~ All Rights Reserved ~~~~ */

public final class PlayerLightPosUpdater {

	public static final void tick(){
	
		// NOTE: WILL NEED TO MOVE LIGHT WITH SWITCH STATEMENT 
		// FOR DIFFERENT ITEMS / GAME ROTATIONS!
		
		for(final RadialLight i : Player.playerLights){
			
			if(i == Player.torchLight) i.center = Player.center;
			
		}
		
		
	}
	
}
